# getBuildDependencies

abstract fun getBuildDependencies(): TaskDependency

Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

#### Return

The dependency. Never returns null. Returns an empty dependency when this artifact is not built by any tasks.